import { useState, useEffect } from 'react';
import { csv } from 'd3'

const csvUrl = 'https://gist.githubusercontent.com/VAbhiram99/74960016a3690bec08e1ce8bbd152ffc/raw/b99a90861187184880cc0c67976e1b111e22856b/cities';

const row = d => {
  d.lng = +d.lng;
  d.lat = +d.lat;
  d.population = +d.population;
  return d;
};

export const useCities = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
